/* include/config.h.  Generated from config.h.in by configure.  */
/* include/config.h.in.  Generated from configure.ac by autoheader.  */

/* Define if building universal (internal helper macro) */
/* #undef AC_APPLE_UNIVERSAL_BUILD */

/* use to force inlining (if possible) */
#define ALWAYS_INLINE inline

/* Define to 1 if translation of program messages to the user's native
   language is requested. */
#define ENABLE_NLS 1

/* Define if X11 video output plugins are allowed with XCB */
#define ENABLE_X11_VO 1

/* Define if glib uses the system malloc by default. */
#define GLIB_USES_SYSTEM_MALLOC 1

/* location of the gnome-screensaver binary */
/* #undef GNOME_SCREENSAVER_COMMAND */

/* where to install the binary */
#define GXINE_BINDIR "/usr/bin"

/* where to install conf files */
#define GXINE_CONFDIR "/etc/gxine"

/* where to install high-colour desktop icons */
#define GXINE_HICOLOURDIR "/usr/share/icons/hicolor/64x64/apps"

/* where to install desktop icons */
#define GXINE_ICONDIR "/usr/share/pixmaps"

/* where to install the logo */
#define GXINE_LOGODIR "/usr/share/gxine"

/* where to install misc files (e.g. sample mediamarks) */
#define GXINE_MISCDIR "/usr/share/gxine"

/* where to install pixmaps */
#define GXINE_PIXMAPDIR "/usr/share/gxine/pixmaps"

/* where to install the browser plugin */
#define GXINE_PLUGINDIR "/usr/lib/gxine"

/* Common prefix for the HAL device pathname property */
/* #undef HAL_DEVICE_FILE_PREFIX */

/* HAL device pathname property */
/* #undef HAL_DEVICE_FILE_PROPERTY */

/* Define to 1 if you have the <alloca.h> header file. */
#define HAVE_ALLOCA_H 1

/* Define to 1 if you have the MacOS X function CFLocaleCopyCurrent in the
   CoreFoundation framework. */
/* #undef HAVE_CFLOCALECOPYCURRENT */

/* Define to 1 if you have the MacOS X function CFPreferencesCopyAppValue in
   the CoreFoundation framework. */
/* #undef HAVE_CFPREFERENCESCOPYAPPVALUE */

/* Define whether we have compartments */
#define HAVE_COMPARTMENTS 1

/* Define if the GNU dcgettext() function is already present or preinstalled.
   */
#define HAVE_DCGETTEXT 1

/* Define to 1 if you have the <dlfcn.h> header file. */
#define HAVE_DLFCN_H 1

/* Define this to use DPMS to defeat the screen blanker */
#define HAVE_DPMS_EXTENSION /**/

/* Define this if you have GNU getopt_long() implemented */
#define HAVE_GETOPT_LONG /**/

/* Define if the GNU gettext() function is already present or preinstalled. */
#define HAVE_GETTEXT 1

/* Define if you have the iconv() function and it works. */
/* #undef HAVE_ICONV */

/* Define to 1 if you have the <inttypes.h> header file. */
#define HAVE_INTTYPES_H 1

/* Define if JSFloat64 is declared */
#define HAVE_JSFLOAT64 1

/* Define whether we have JS_GetStringBytes */
/* #undef HAVE_JS_GET_STRING_BYTES */

/* Define whether we have JS_NewDouble */
/* #undef HAVE_JS_NEW_DOUBLE */

/* Define whether we have the JSStrictPropertyOp prototype */
#define HAVE_JS_STRICT_PROPERTY_OP 1

/* Define to 1 if you have the `dl' library (-ldl). */
#define HAVE_LIBDL 1

/* Define to 1 if you have the `m' library (-lm). */
#define HAVE_LIBM 1

/* Define if you have jsapi.h */
/* #undef HAVE_LIBSMJS */

/* Define this if you have LIRC (liblirc_client) installed */
/* #undef HAVE_LIRC */

/* Define to 1 if you have the <memory.h> header file. */
#define HAVE_MEMORY_H 1

/* Define to 1 if you have the <netdb.h> header file. */
#define HAVE_NETDB_H 1

/* Define to 1 if you have the <netinet/in.h> header file. */
#define HAVE_NETINET_IN_H 1

/* Define to 1 if you have the <poll.h> header file. */
#define HAVE_POLL_H 1

/* Define to 1 if the system has the type `ptrdiff_t'. */
#define HAVE_PTRDIFF_T 1

/* Define to 1 if you have the <stdint.h> header file. */
#define HAVE_STDINT_H 1

/* Define to 1 if you have the <stdlib.h> header file. */
#define HAVE_STDLIB_H 1

/* Define to 1 if you have the <strings.h> header file. */
#define HAVE_STRINGS_H 1

/* Define to 1 if you have the <string.h> header file. */
#define HAVE_STRING_H 1

/* Define to 1 if you have the <sys/socket.h> header file. */
#define HAVE_SYS_SOCKET_H 1

/* Define to 1 if you have the <sys/stat.h> header file. */
#define HAVE_SYS_STAT_H 1

/* Define to 1 if you have the <sys/types.h> header file. */
#define HAVE_SYS_TYPES_H 1

/* Define to 1 if you have the <sys/un.h> header file. */
#define HAVE_SYS_UN_H 1

/* Define to 1 if you have the <unistd.h> header file. */
#define HAVE_UNISTD_H 1

/* Define if X11 is available and to be used */
#define HAVE_X11 1

/* Define if XCB is available and to be used */
#define HAVE_XCB 1

/* Define this if you have libXinerama */
#define HAVE_XINERAMA /**/

/* [Define if xml_parser_init_r etc. are available] */
#define HAVE_XML_PARSER_REENTRANT 1

/* Define this if you have libXrandr installed (and GTK+2 uses it) */
#define HAVE_XRANDR /**/

/* Define this to use XTest to defeat the screen blanker (requires libXtst) */
/* #undef HAVE_XTESTEXTENSION */

/* Define whether the JSVAL_TO_DOUBLE function or macro returns a pointer to
   jsdouble */
/* #undef JSVAL_TO_DOUBLE_RETURNS_POINTER */

/* Define whether the type of id in the prototype for JSPropertyOp is a jsid
   */
/* #undef JS_PROPERTY_OP_HAS_ID_AS_JSID */

/* xine-lib's text domain name */
#define LIB_PACKAGE "libxine1"

/* Set to the logo image format (mpv or jpg) */
#define LOGO_FORMAT "jpg"

/* Define to the sub-directory where libtool stores uninstalled libraries. */
#define LT_OBJDIR ".libs/"

/* Name of package */
#define PACKAGE "gxine"

/* Define to the address where bug reports for this package should be sent. */
#define PACKAGE_BUGREPORT ""

/* Define to the full name of this package. */
#define PACKAGE_NAME "gxine"

/* Define to the full name and version of this package. */
#define PACKAGE_STRING "gxine 0.5.910"

/* Define to the one symbol short name of this package. */
#define PACKAGE_TARNAME "gxine"

/* Define to the home page for this package. */
#define PACKAGE_URL ""

/* Define to the version of this package. */
#define PACKAGE_VERSION "0.5.910"

/* Undefine if you want gxine to use xine-lib's playlist parsing code
   (feedback welcome) */
#define PARSE_PLAYLISTS 1

/* we have at least one screensaver command */
/* #undef SCREENSAVER_COMMANDS */

/* Define to 1 if you have the ANSI C header files. */
#define STDC_HEADERS 1

/* Define if you want gxine to be able to configure other apps to use it */
#define USE_INTEGRATION_WIZARD 1

/* Define if you are experiencing a hang in gxine on Solaris */
/* #undef USE_SUN_XLIB_WORKAROUND */

/* Enable extensions on AIX 3, Interix.  */
#ifndef _ALL_SOURCE
# define _ALL_SOURCE 1
#endif
/* Enable GNU extensions on systems that have them.  */
#ifndef _GNU_SOURCE
# define _GNU_SOURCE 1
#endif
/* Enable threading extensions on Solaris.  */
#ifndef _POSIX_PTHREAD_SEMANTICS
# define _POSIX_PTHREAD_SEMANTICS 1
#endif
/* Enable extensions on HP NonStop.  */
#ifndef _TANDEM_SOURCE
# define _TANDEM_SOURCE 1
#endif
/* Enable general extensions on Solaris.  */
#ifndef __EXTENSIONS__
# define __EXTENSIONS__ 1
#endif


/* package build identifier, e.g. vendor name and package version */
#define VENDOR_PKG_VERSION "hg snapshot"

/* Version number of package */
#define VERSION "0.5.910"

/* Define if dbus-glib is present and you want to use it to talk to
   gnome-screensaver. */
/* #undef WITH_DBUS */

/* Define if you want gxine to be built with deprecated features */
#define WITH_DEPRECATED 1

/* Define if libgudev is present and you want to use it. */
#define WITH_GUDEV 1

/* Define if HAL is present and you want to use it. */
/* #undef WITH_HAL */

/* Define if you want gxine to be built with obsolete features */
/* #undef WITH_OBSOLETE */

/* Define if you want to enable the watchdog (will abort gxine if it hangs */
/* #undef WITH_WATCHDOG */

/* Define WORDS_BIGENDIAN to 1 if your processor stores words with the most
   significant byte first (like Motorola and SPARC, unlike Intel). */
#if defined AC_APPLE_UNIVERSAL_BUILD
# if defined __BIG_ENDIAN__
#  define WORDS_BIGENDIAN 1
# endif
#else
# ifndef WORDS_BIGENDIAN
/* #  undef WORDS_BIGENDIAN */
# endif
#endif

/* location of the xdg-screensaver binary */
/* #undef XDG_SCREENSAVER_COMMAND */

/* Define to 1 if the X Window System is missing or not being used. */
/* #undef X_DISPLAY_MISSING */

/* location of the xscreensaver-command binary */
/* #undef X_SCREENSAVER_COMMAND */

/* Define to 1 if on MINIX. */
/* #undef _MINIX */

/* Define to 2 if the system does not provide POSIX.1 features except with
   this defined. */
/* #undef _POSIX_1_SOURCE */

/* Define to 1 if you need to in order for `stat' and other things to work. */
/* #undef _POSIX_SOURCE */

/* Define to '0x0502' for Windows XP SP2 APIs. */
/* #undef _WIN32_WINNT */

/* Define to empty if `const' does not conform to ANSI C. */
/* #undef const */

/* Define to `__inline__' or `__inline' if that's what the C compiler
   calls it, or to nothing if 'inline' is not supported under any name.  */
#ifndef __cplusplus
/* #undef inline */
#endif

/* Define to `long int' if <sys/types.h> does not define. */
/* #undef off_t */

/* Define to `unsigned int' if <sys/types.h> does not define. */
/* #undef size_t */

#ifdef DEBUG
# undef WITH_WATCHDOG
#endif
